(*----------------------------------------------------------------------------*
 *  Direct3D GifBlender2 sample                                               *
 *  demostrate how to load and render GIF file.                               *
 *  This is sequel to "GifBlender" sample, below you can find list of changes *
 *  1) GIF's are rendered by blending two nearest frames of GIF animation on  *
 *     multitexture capable hardware                                          *
 *  2) 3 different texture pipeline setups tested for best quality rendering  *
 *     result: (a) simplests NVIDIA TNT class, (b) Matrox G400 class,         *
 *     (c) NVIDIA GeForce, ATi Radeon - 3 stage setup.                        *
 *  3) GIF handling/rendering moved to separate portable between applications *
 *     Delphi class                                                           *
 *  4) Usage of Ander's Melander TGifImage component is reduced to loading    *
 *     stage - animation frames loaded to Direct3D textures, timing info      *
 *     retrieved to internal data structure. All rendering and timing after   *
 *     that is handled by TD3D8GifImage class.                                *
 *                                                                            *
 *  Copyright (c) 2002 by Alexey Barkovoy                                     *
 *  E-Mail: clootie@reactor.ru                                                *
 *                                                                            *
 *  Modified: 03-Oct-2002                                                     *
 *                                                                            *
 *  Latest version can be downloaded from:                                    *
 *     http://clootie.narod.ru                                                *
 *----------------------------------------------------------------------------*)

program GifBlender2;

uses
  Windows,
  GifBlender2Unit in 'GifBlender2Unit.pas',
  D3D8GIF in 'D3D8GIF.pas';

{$R winmain.res}

//-----------------------------------------------------------------------------
// Name: WinMain()
// Desc: Entry point to the program. Initializes everything, and goes into a
//       message-processing loop. Idle time is used to render the scene.
//-----------------------------------------------------------------------------
var
  d3dApp: CMyD3DApplication;
begin
  d3dApp:= CMyD3DApplication.Create;
  // "Create_" isn't a constructor it's a regular function
  if FAILED(d3dApp.Create_(HInstance)) then Exit;
  d3dApp.Run;
end.
